Package org.gradle.platform.base

# Interface VariantComponentSpec

All Superinterfaces:
  `ComponentSpec`, `ModelElement`, `Named`, `VariantComponent`

All Known Subinterfaces:
  `ApplicationSpec`, `CUnitTestSuiteSpec`, `GeneralComponentSpec`, `GoogleTestTestSuiteSpec`, `JUnitTestSuiteSpec`, `JvmLibrarySpec`, `JvmTestSuiteSpec`, `LibrarySpec`, `NativeExecutableSpec`, `NativeLibrarySpec`, `NativeTestSuiteSpec`, `PlatformAwareComponentSpec`, `PlayApplicationSpec`, `PlayPlatformAwareComponentSpec`, `TargetedNativeComponent`, `TestSuiteSpec`

All Known Implementing Classes:
  `BaseComponentSpec`

@Incubating public interface VariantComponentSpec extends ComponentSpec, VariantComponent
Represents a component spec that is made up of one or more mutually exclusive variants.

## Nested Class Summary

## Nested classes/interfaces inherited from interface org.gradle.api.Named

`Named.Namer`

## Method Summary

Modifier and Type
Method
Description
`ModelMap<BinarySpec>`
`getBinaries()`
The variants produced for this component spec.

### Methods inherited from interface org.gradle.platform.base.ComponentSpec

`getProjectPath`

### Methods inherited from interface org.gradle.model.ModelElement

`getDisplayName`

### Methods inherited from interface org.gradle.platform.base.VariantComponent

`getName, getVariants`

## Method Details

### getBinaries

ModelMap<BinarySpec> getBinaries()
The variants produced for this component spec.